Skip to main content
GET
/
api
/
v1
/
subscription
/
plans
/
{planId}
Get plan details
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/subscription/plans/{planId} \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "hash_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "frequency": 123,
    "price": 123,
    "overridden_price": 123,
    "is_active": true,
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "is_auto_renewable": true,
    "currency": "<string>",
    "allow_amount_override": true,
    "campaign_id": "<string>",
    "campaign_name": "<string>",
    "created_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

planId
string
required

Response

Plan details

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)